Skip to main content
POST
/
app.rocksky.scrobble.createScrobble
Create a new scrobble
curl --request POST \
  --url https://api.rocksky.app/xrpc/app.rocksky.scrobble.createScrobble \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "artist": "<string>",
  "album": "<string>",
  "duration": 123,
  "mbId": "<string>",
  "isrc": "<string>",
  "albumArt": "<string>",
  "trackNumber": 123,
  "releaseDate": "<string>",
  "year": 123,
  "discNumber": 123,
  "lyrics": "<string>",
  "composer": "<string>",
  "copyrightMessage": "<string>",
  "label": "<string>",
  "artistPicture": "<string>",
  "spotifyLink": "<string>",
  "lastfmLink": "<string>",
  "tidalLink": "<string>",
  "appleMusicLink": "<string>",
  "youtubeLink": "<string>",
  "deezerLink": "<string>",
  "timestamp": 123
}
'
{
  "id": "<string>",
  "user": "<string>",
  "userDisplayName": "<string>",
  "userAvatar": "<string>",
  "title": "<string>",
  "artist": "<string>",
  "artistUri": "<string>",
  "album": "<string>",
  "albumUri": "<string>",
  "cover": "<string>",
  "date": "2023-11-07T05:31:56Z",
  "uri": "<string>",
  "sha256": "<string>",
  "liked": true,
  "likesCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required

The title of the track being scrobbled

artist
string
required

The artist of the track being scrobbled

album
string

The album of the track being scrobbled

duration
integer
mbId
string

The MusicBrainz ID of the track, if available

isrc
string

The International Standard Recording Code (ISRC) of the track, if available

albumArt
string<uri>

The URL of the album art for the track

trackNumber
integer
releaseDate
string

The release date of the track, formatted as YYYY-MM-DD

year
integer
discNumber
integer
lyrics
string

The lyrics of the track, if available

composer
string

The composer of the track, if available

The copyright message for the track, if available

label
string

The record label of the track, if available

artistPicture
string<uri>

The URL of the artist's picture, if available

The Spotify link for the track, if available

The Last.fm link for the track, if available

The Tidal link for the track, if available

The Apple Music link for the track, if available

The Youtube link for the track, if available

The Deezer link for the track, if available

timestamp
integer

Response

OK

id
string

The unique identifier of the scrobble.

user
string

The handle of the user who created the scrobble.

userDisplayName
string

The display name of the user who created the scrobble.

userAvatar
string<uri>

The avatar URL of the user who created the scrobble.

title
string

The title of the scrobble.

artist
string

The artist of the song.

artistUri
string<at-uri>

The URI of the artist.

album
string

The album of the song.

albumUri
string<at-uri>

The URI of the album.

cover
string<uri>

The album art URL of the song.

date
string<date-time>

The timestamp when the scrobble was created.

uri
string<uri>

The URI of the scrobble.

sha256
string

The SHA256 hash of the scrobble data.

liked
boolean
likesCount
integer